require 'rails/generators'
module UserMgmt
  module Generators
    class InstallGenerator < Rails::Generators::Base
      source_root File.expand_path("../../templates", __FILE__)

      desc "Creates a UserMgmt initializer and copy locale files to your application."

      def copy_initializer
        template "user_mgmt.rb", "config/initializers/user_mgmt.rb"
      end

      # def copy_locale
      #   copy_file "../../../config/locales/en.yml", "config/locales/user_mgmt.en.yml"
      # end

      def add_user_mgmt_routes
        user_mgmt_route  = "mount UserMgmt::Engine => '/user'"
        route user_mgmt_route
      end

      def show_readme
        readme "README" if behavior == :invoke
      end

    end
  end
end