require "user_mgmt/engine"
require "user_mgmt/version"
require "rails"

module UserMgmt

	# URI of the external database where authentication happens and gets its data stored at
	mattr_accessor :external_database_URI
	@@external_database_URI = "http://localhost:3000/"


	# Default way to setup UserMgmt. Run rails generate user_mgmt:install to create
	# a fresh initializer with all configuration values.
	def self.setup
		yield self
	end

end