# -*- encoding: utf-8 -*-
# stub: user_mgmt 2.1.5 ruby lib

Gem::Specification.new do |s|
  s.name = "user_mgmt".freeze
  s.version = "2.1.5"

  s.required_rubygems_version = Gem::Requirement.new(">= 0".freeze) if s.respond_to? :required_rubygems_version=
  s.require_paths = ["lib".freeze]
  s.authors = ["Danilo Faria, Fernando Gorodscy, Josh Leslie".freeze]
  s.date = "2014-06-26"
  s.description = "Includes functionality for site-specific registration and third-party authentication strategies such as social networks (Facebook, Twitter and Linkedin) and freemail providers (Yahoo, Windows Live and Gmail) with support for external database authentication.".freeze
  s.email = ["su_critic@hotmail.com".freeze]
  s.executables = ["rails".freeze]
  s.files = ["bin/rails".freeze]
  s.homepage = "https://github.com/Methos2013/user_mgmt_gem".freeze
  s.licenses = ["MIT".freeze]
  s.rubygems_version = "3.2.22".freeze
  s.summary = "Various authentication options in an outside database.".freeze

  s.installed_by_version = "3.2.22" if s.respond_to? :installed_by_version

  if s.respond_to? :specification_version then
    s.specification_version = 4
  end

  if s.respond_to? :add_runtime_dependency then
    s.add_development_dependency(%q<sqlite3>.freeze, [">= 0"])
    s.add_development_dependency(%q<rspec>.freeze, [">= 0"])
    s.add_development_dependency(%q<genspec>.freeze, [">= 0"])
    s.add_development_dependency(%q<rake>.freeze, [">= 0"])
    s.add_development_dependency(%q<bundler>.freeze, ["~> 1.3"])
    s.add_runtime_dependency(%q<rails>.freeze, [">= 0"])
    s.add_runtime_dependency(%q<haml>.freeze, [">= 0"])
    s.add_runtime_dependency(%q<haml-rails>.freeze, [">= 0"])
    s.add_runtime_dependency(%q<sass-rails>.freeze, [">= 0"])
    s.add_runtime_dependency(%q<bootstrap-sass>.freeze, [">= 0"])
    s.add_runtime_dependency(%q<omniauth>.freeze, [">= 0"])
    s.add_runtime_dependency(%q<omniauth-facebook>.freeze, [">= 0"])
    s.add_runtime_dependency(%q<omniauth-twitter>.freeze, [">= 0"])
    s.add_runtime_dependency(%q<omniauth-linkedin>.freeze, [">= 0"])
    s.add_runtime_dependency(%q<omniauth-windowslive>.freeze, [">= 0"])
    s.add_runtime_dependency(%q<omniauth-yahoo>.freeze, [">= 0"])
    s.add_runtime_dependency(%q<omniauth-google-oauth2>.freeze, [">= 0"])
  else
    s.add_dependency(%q<sqlite3>.freeze, [">= 0"])
    s.add_dependency(%q<rspec>.freeze, [">= 0"])
    s.add_dependency(%q<genspec>.freeze, [">= 0"])
    s.add_dependency(%q<rake>.freeze, [">= 0"])
    s.add_dependency(%q<bundler>.freeze, ["~> 1.3"])
    s.add_dependency(%q<rails>.freeze, [">= 0"])
    s.add_dependency(%q<haml>.freeze, [">= 0"])
    s.add_dependency(%q<haml-rails>.freeze, [">= 0"])
    s.add_dependency(%q<sass-rails>.freeze, [">= 0"])
    s.add_dependency(%q<bootstrap-sass>.freeze, [">= 0"])
    s.add_dependency(%q<omniauth>.freeze, [">= 0"])
    s.add_dependency(%q<omniauth-facebook>.freeze, [">= 0"])
    s.add_dependency(%q<omniauth-twitter>.freeze, [">= 0"])
    s.add_dependency(%q<omniauth-linkedin>.freeze, [">= 0"])
    s.add_dependency(%q<omniauth-windowslive>.freeze, [">= 0"])
    s.add_dependency(%q<omniauth-yahoo>.freeze, [">= 0"])
    s.add_dependency(%q<omniauth-google-oauth2>.freeze, [">= 0"])
  end
end
