# Use this hook to configure user_mgmt external database URI, and so forth.
# Many of these configuration options can be set straight in your model.
UserMgmt.setup do |config|

  # Ensure you defined default external database URI, otherwise 
  # authentication won't be possible to happen
  config.external_database_URI = "http://localhost:3000/"

end

# Edit your strategy keys:

ENV['TWITTER_KEY'] = ""
ENV['TWITTER_SECRET'] = ""

ENV['FACEBOOK_KEY'] = ""
ENV['FACEBOOK_SECRET'] = ""

ENV['LINKEDIN_KEY'] = ""
ENV['LINKEDIN_SECRET'] = ""

ENV['WINDOWSLIVE_KEY'] = ""
ENV['WINDOWSLIVE_SECRET'] = ""

ENV['YAHOO_KEY'] = ""
ENV['YAHOO_SECRET'] = ""

ENV['GOOGLE_KEY'] = ""
ENV['GOOGLE_SECRET'] = ""

# The code below include the view helpers from user_mgmt in the main app.
# NOTE: Do not change this code.
ActiveSupport.on_load :action_controller do
	helper UserMgmt::ApplicationHelper
end

